Jason Ryan avatar Jason Ryan committed 345ac55

Udiskie changes and streaming script

Comments (0)

Files changed (3)

 $HOME/Scripts/proc-check &
 
 # automounting
-udiskie -s &
+/usr/bin/udiskie -s &
 
 # ---- window manager ----
 # launch dwm
 exec $HOME/Scripts/dwm-start
-
-# openbox
-#exec openbox-session
 target=$(awk '/media\/[\^A-Z]/ {print $3}' <(mount))
 
 if [[ -n "$target" ]]; then
-    udiskie-umount "$target" &&
-    printf "%s\n" "${target##*/} unmounted…"
+    udiskie-umount -s "$target" &>/dev/null
+    if [[ $? = 0 ]]; then
+        printf "%s\n" "${target##*/} unmounted…"
+    else
+        printf "%s\n" "Unmounting failed."
+    fi
 else
     printf "%s\n" "No drive mounted…"
 fi
+#!/bin/bash
+# screensaving when streaming video
+
+case "$1" in
+    on) xautolock -disable &&
+        xset s off; xset s noblank; xset -dpms
+        ;;
+    off) xautolock -enable &&
+        xset s on; xset s blank; xset +dpms
+        ;;
+esac
+
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.